curl --request GET \
--url https://thirdparty.qonto.com/v2/clients \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clients": [
{
"kind": "company",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"phone_number": "+33123456789",
"phone": {
"country_code": "+33",
"number": "123456789"
},
"type": "company",
"email": "john.doe@qonto.eu",
"extra_emails": [
"additional@email.com",
"backup@email.com"
],
"currency": "EUR",
"e_invoicing_address": "987654321",
"e_invoicing_reachable": true,
"vat_number": "<string>",
"tax_identification_number": "<string>",
"address": "<string>",
"city": "<string>",
"zip_code": "<string>",
"province_code": "<string>",
"country_code": "<string>",
"billing_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "fr"
},
"delivery_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "fr"
},
"recipient_code": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"locale": "fr"
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"previous_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}List clients
OAuth scope: client.read
Retrieves the list of clients for the authenticated organization.
You can filter (ex: only retrieve the latest clients) and sort this list by using query parameters 👇
Price plans: this endpoint is available for all Qonto price plans.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Clients can be filtered based on their tax_identification_number, vat_number, or email. The response will return exact and case-insensitive match(es).
Clients can also be filtered based on their name. The response will return exact and partial matches, case-insensitive and accent-insensitive match(es). When type is individual or freelancer, name consists of the concatenation of first_name & " " & last_name. The value must at least contain 2 characters minimum.
Clients can be filtered by their updated_at property. This filter can be used in combination with the updated_at_to query parameter to get clients updated within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2022-02-01T12:01:02Z"
Clients can be filtered by their updated_at property. This filter can be used in combination with the updated_at_from query parameter to get clients updated within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).
"2022-04-23T16:23:00Z"
Returned page (cf. Pagination).
25
Number of clients per page (cf. Pagination).
25
Clients can be sorted by their created_at / updated_at / name property in 2 possible orders: asc (Ascending) / desc (Descending).
created_at:asc, created_at:desc, updated_at:asc, updated_at:desc, name:asc, name:desc Response
Returns the list of clients.
- Option 1
- Option 2
Show child attributes
Show child attributes
Metadata for paginated client responses.
Note: this endpoint returns the previous-page field as previous_page
(rather than prev_page, used elsewhere in the Business API) for backward
compatibility with the long-standing clients API. next_page and
previous_page are always present and are null on the last/first page.
Show child attributes
Show child attributes
Was this page helpful?